Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Class DetailedAgentGroupState

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.server.AgentGroupState
          umontreal.iro.lecuyer.contactcenters.server.DetailedAgentGroupState

    public class DetailedAgentGroupState

extends AgentGroupState

Represents the state of a detailed agent group.

Constructor Summary
`protected` | `DetailedAgentGroupState(DetailedAgentGroup group)` Constructs a new agent group state object holding state information about the agent group `group`.

Method Summary
`AgentState[]` | `getBusyAgents()` Returns the state information for each busy agent in the group at the time of state saving.
`AgentState[]` | `getGhostAgents()` Returns the state information for the ghost agents in the group, at time of state saving.
`AgentState[]` | `getIdleAgents()` Returns the state information about idle agents in the group, at the time of state saving.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.server.AgentGroupState
`getContactsInService, getEfficiency, getNumAgents, getNumFreeAgents, getNumGhostAgents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DetailedAgentGroupState

    protected DetailedAgentGroupState(DetailedAgentGroup group)

  Constructs a new agent group state object holding state information about the agent group `group`.

  Parameters:
    `group` - the agent group to save state.

Method Detail

### getBusyAgents

    public AgentState[] getBusyAgents()

  Returns the state information for each busy agent in the group at the time of state saving.

  Returns:
    the state information about busy agents.

### getGhostAgents

    public AgentState[] getGhostAgents()

  Returns the state information for the ghost agents in the group, at time of state saving.

  Returns:
    the state information about ghost agents.

### getIdleAgents

    public AgentState[] getIdleAgents()

  Returns the state information about idle agents in the group, at the time of state saving.

  Returns:
    the state information about idle agents.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.